Subject: Re: bug#8323: 23.3; Hl-Line mode

From: Chong Yidong <[email-masked]>
Date: Sun, 26 Jun 2011 16:27:03 -0400

Konrad Podczeck <[email-masked]> writes:

> Turn Global-Hl-Line mode on, and open any text file. Then do M-x occur
> Ret, some word Ret, so as to get two windows, one with the text file,
> the other with the occur buffer. Now by default, the variable
> HL-Line-Sticky-Flag is set to non-nil, which, according to the
> documentation of that variable, means that the current line is
> highlighted in all windows. However, this seems not to work: Switching
> between the two windows, you see only the current line in the selected
> window to be highlighted.

hl-line-sticky-flag is not intended to affect global-hl-line-mode, only
the local mode.  However, it's simple enough to add a similar mechanism
for the global mode (global-hl-line-sticky-flag), so I've done that.